#ifndef UTIL_H
#define UTIL_H

#include <stdio.h>
#include <stdint.h>

int fgetword(int32_t *dst, FILE *fp);
int fgethalf(int16_t *dst, FILE *fp);
int fgetbyte(int8_t *dst, FILE *fp);
void fwriteword(uint32_t c, FILE *fp);
void fwritehalf(uint16_t c, FILE *fp);
void fwritebyte(uint8_t c, FILE *fp);
uint32_t crc(uint32_t c, const unsigned char *buf, size_t len);

#endif
